Bug 1008313 - (CVE-2013-4362) CVE-2013-4362 davfs2: insecure use of system()
CVE-2013-4362 davfs2: insecure use of system()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130915,repo...
: Security
Depends On: 1012340
Blocks: 1008316
  Show dependency treegraph
 
Reported: 2013-09-16 02:54 EDT by Ratul Gupta
Modified: 2014-09-30 11:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 06:01:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-09-16 02:54:18 EDT
It is found that davfs2, a tool for connecting to WebDAV, might be using the system() insecurely. The issue is since mount_davfs2 is setuid, using the system() call could result in privilege escalation.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=723034
Comment 1 Will Woods 2013-09-19 17:00:02 EDT
I'm building davfs-1.4.7-3.fc{18,19,20}, which includes the patch from upstream for this. Let me know if there's anything special I need to do here.
Comment 2 Ratul Gupta 2013-09-26 06:13:07 EDT
Created davfs2 tracking bugs for this issue:

Affects: fedora-all [bug 1012340]
Comment 3 Fedora Update System 2013-11-10 01:40:28 EST
davfs2-1.4.7-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.